# Class DisputeClosedMessage

#### Hierarchy

- unknown
  - DisputeClosedMessage

- Defined in src/protobuf/pb_pb.d.ts:1707
- Defined in src/protobuf/pb_pb.d.ts:1741

#####
Index

### Constructors

constructor

### Methods

clearDisputeResult
clearSenderNodeAddress
getDeferPublishPayout
getDisputeResult
getSenderNodeAddress
getType
getUid
getUnsignedPayoutTxHex
getUpdatedMultisigHex
hasDisputeResult
hasSenderNodeAddress
serializeBinary
setDeferPublishPayout
setDisputeResult
setSenderNodeAddress
setType
setUid
setUnsignedPayoutTxHex
setUpdatedMultisigHex
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new DisputeClosedMessage(): DisputeClosedMessage

- #### Returns DisputeClosedMessage

  Inherited from jspb.Message.constructor

## Methods

### clearDisputeResult

- clearDisputeResult(): DisputeClosedMessage

- #### Returns DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1714

### clearSenderNodeAddress

- clearSenderNodeAddress(): DisputeClosedMessage

- #### Returns DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1719

### getDeferPublishPayout

- getDeferPublishPayout(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1730

### getDisputeResult

- getDisputeResult(): undefined | DisputeResult

- #### Returns undefined | DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:1711

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1716

### getType

- getType(): SupportType

- #### Returns SupportType

  - Defined in src/protobuf/pb_pb.d.ts:1721

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1708

### getUnsignedPayoutTxHex

- getUnsignedPayoutTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1727

### getUpdatedMultisigHex

- getUpdatedMultisigHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1724

### hasDisputeResult

- hasDisputeResult(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1713

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1718

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1733

### setDeferPublishPayout

- setDeferPublishPayout(value: boolean): DisputeClosedMessage

- #### Parameters

  - ##### value: boolean

  #### Returns DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1731

### setDisputeResult

- setDisputeResult(value?: DisputeResult): DisputeClosedMessage

- #### Parameters

  - ##### `Optional` value: DisputeResult

  #### Returns DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1712

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): DisputeClosedMessage

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1717

### setType

- setType(value: SupportType): DisputeClosedMessage

- #### Parameters

  - ##### value: SupportType

  #### Returns DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1722

### setUid

- setUid(value: string): DisputeClosedMessage

- #### Parameters

  - ##### value: string

  #### Returns DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1709

### setUnsignedPayoutTxHex

- setUnsignedPayoutTxHex(value: string): DisputeClosedMessage

- #### Parameters

  - ##### value: string

  #### Returns DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1728

### setUpdatedMultisigHex

- setUpdatedMultisigHex(value: string): DisputeClosedMessage

- #### Parameters

  - ##### value: string

  #### Returns DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1725

### toObject

- toObject(includeInstance?: boolean): DisputeClosedMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns DisputeClosedMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1734

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): DisputeClosedMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1737

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DisputeClosedMessage, reader: BinaryReader): DisputeClosedMessage

- #### Parameters

  - ##### message: DisputeClosedMessage

  - ##### reader: BinaryReader

  #### Returns DisputeClosedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1738

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: DisputeClosedMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: DisputeClosedMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1736

### `Static` toObject

- toObject(includeInstance: boolean, msg: DisputeClosedMessage): DisputeClosedMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DisputeClosedMessage

  #### Returns DisputeClosedMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1735

Generated using TypeDoc